From 9e9b74a7352e49ce826153fa6859da3165cb5b9b Mon Sep 17 00:00:00 2001
From: Mike McLean <mike.mclean@pobox.com>
Date: Sat, 20 Dec 2014 15:22:13 -0500
Subject: [PATCH] Reduce confusion around Outlook application
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

If the user has:
- a virtual solution (Parallels, etc.)
- with Office for PC installed
- and configured to  expose WinTel applications to the Macintosh Finder

The AppleScript commands may try to select the WinTel version of
"Microsoft Outlook". This—obviously—doesn’t work. By adding the Mac
~.app~ file extension, we reduce this confusion and more reliably call
the Macintosh version of Outlook.

TINYCHANGE
---
 contrib/lisp/org-mac-link.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/contrib/lisp/org-mac-link.el b/contrib/lisp/org-mac-link.el
index e0636a5..fa2aa5b 100644
--- a/contrib/lisp/org-mac-link.el
+++ b/contrib/lisp/org-mac-link.el
@@ -580,7 +580,7 @@ The links are of the form <link>::split::<name>."
   "Open a message in Outlook"
   (do-applescript
    (concat
-    "tell application \"Microsoft Outlook\"\n"
+    "tell application \"Microsoft Outlook.app\"\n"
     (format "open message id %s\n" (substring-no-properties msgid))
     "activate\n"
     "end tell")))
@@ -589,7 +589,7 @@ The links are of the form <link>::split::<name>."
   "AppleScript to create links to selected messages in Microsoft Outlook.app."
   (do-applescript
    (concat
-    "tell application \"Microsoft Outlook\"\n"
+    "tell application \"Microsoft Outlook.app\"\n"
     "set msgCount to count current messages\n"
     "if (msgCount < 1) then\n"
     "return\n"
-- 
2.2.1

